> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getversive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Question Logic

Modify an existing logic rule.


## OpenAPI

````yaml PUT /api/v1/question-logic/{logic_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.getversive.com
security: []
paths:
  /api/v1/question-logic/{logic_id}:
    put:
      tags:
        - Question Logic
      summary: Update Question Logic
      operationId: update_question_logic_api_v1_question_logic__logic_id__put
      parameters:
        - name: logic_id
          in: path
          required: true
          schema:
            type: string
            title: Logic Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateQuestionLogicReqV1'
            example:
              operation: not_equals
              comparison_value: 'no'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - body
                      - title
                    msg: field required
                    type: value_error.missing
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateQuestionLogicReqV1:
      properties:
        operation:
          type: string
          title: Operation
        comparison_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Comparison Value
          default: ''
        comparison_value_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Comparison Value Type
          default: ''
        next_question_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Question Id
          default: ''
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
          default: ''
        end_interview:
          anyOf:
            - type: boolean
            - type: 'null'
          title: End Interview
          default: false
        action_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Action Type
          default: ''
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          default: English
      type: object
      required:
        - operation
      title: UpdateQuestionLogicReqV1
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````